Subject: Re: linux-next: manual merge of the scsi-mkp tree with the tip tree

From: John Garry <[email-masked]>
Date: Tue, 25 Feb 2025 09:38:57 +0000

On 25/02/2025 04:32, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the scsi-mkp tree got a conflict in:
> 
>    drivers/scsi/scsi_debug.c
> 
> between commit:
> 
>    b7011929380d ("scsi: Switch to use hrtimer_setup()")
> 
> from the tip tree and commit:
> 
>    b441eafbd1eb ("scsi: scsi_debug: Simplify command handling")
> 
> from the scsi-mkp tree.
> 
> I fixed it up (I think - see below) and can carry the fix as necessary.
> This is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
static int sdebug_init_cmd_priv(struct Scsi_Host *shost, struct 
scsi_cmnd *cmd)
{
	struct sdebug_scsi_cmd *sdsc = scsi_cmd_priv(cmd);
	struct sdebug_defer *sd_dp = &sdsc->sd_dp;

	spin_lock_init(&sdsc->lock);
	hrtimer_setup(&sd_dp->hrt, sdebug_q_cmd_hrt_complete, CLOCK_MONOTONIC,
		      HRTIMER_MODE_REL_PINNED);
	sd_dp->hrt.function = sdebug_q_cmd_hrt_complete; ***
	INIT_WORK(&sd_dp->ew.work, sdebug_q_cmd_wq_complete);

I guess that setting sd_dp->hrt.function explicitly, at *** above, is 
not needed (as hrtimer_setup()) does this.

Thanks,
John